<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

//aqui digita o padrao direto na matrizQuimica


//$matrizQuimica=$objetocalculo->matrizQuimicaComparacao();
$matrizQuimica=$objetocalculo->matrizQuimicaComparacao();

if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}



	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'editar':
      //setor achar significa poder ir para outra amostra
 
		
		 if (post('acharDigitada') !== "" || post('acharAvanca') !== ""  || post('acharRecua') !== "" || post('acharUltima') !== ""):
			   	$registro=post('amostra');//se clica em achar digitada ja pega daqui
              	if(post('acharAvanca') !== "")$acao='avanca';
              	if(post('acharRecua') !== "")$acao='recua';
              	if(post('acharUltima') !== "")$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima

		if(post('bt_imprimirQUI') !== ""):
	        $sessao->setVar('controle',$valorDeful);
		    echo '<iframe src="imprimelaudotetrasojaDimicronQuimica.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
        endif;
		
		
	    //////vai capturar os dados da amostra////////////////
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			$amostra=$resgenerica->fic_amostra;
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
	    endwhile;
		

//VERIFICA SE TEM O OVALOR DE PMS JA GRAVADO NA REAN SENAO NADA FEITO
        $user = new rean1();
		$user->extras_select =" where  rea_teste='PMS' AND rea_ficha=".$amostraLong ;
        $user->selecionaTudo($user);
        $PMS=0;
		while ($res = $user->retornaDados()):
		    $PMS=$res->rea_v1;
		endwhile;

        if($PMS==0):
			echo("Precisa calcular o PMS desta amostra ou inserir diretamente em RESULTADOS->TELARESUMO->BOTAO OD.");
        endif;

			//captura os dados da amostra
			$userAmostra = new amostras();
			$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
			$userAmostra->selecionaCampos($userAmostra);
			while ($resAmostra = $userAmostra->retornaDados()):
			    $amostraLong=$resAmostra->fic_id;
			    $idCultivar=$resAmostra->fic_cultivar;
			    $idProdutor=$resAmostra->fic_produtor;
			    $ultima=$resAmostra->fic_amostra;
				if($finalidade=='DEFINITIVA'):
			       $amostra=$resAmostra->fic_amostra;
				else:
			       $amostra=$resAmostra->fic_amostra_previa;
				endif; 
				$lote=$resAmostra->fic_lote;
			endwhile;		
		
			echo '<h2>QUÍMICA DA SEMENTE. Amostra:'. $amostra.  ' Espécie:'. $especie.  ' PMS:'. $PMS. '</h2>';
			
			
			
			if(post('manual') !== ""):
	           echo '<iframe src="manual2010.php?opcaoManual=quimicaSementes" style="border:0" width="100%" height="350"></iframe>';//funciona
 	        endif;		

        if(post('bt_salvar') !== ""):
            //////////////////
			//VERIFICA SE JA EXISTE UM REGISTRO PARA A TABELA QUIMICA
		    //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();
			$generica->tabela="quimica";
			$generica->campos_valores = array(
					"qui_id" => NULL,
				);
			$generica->extras_select =" where  qui_amostra_id=" . $amostraLong;
		    $generica->selecionaCampos($generica);
            $quimicaID=0;
	    	while ($resgenerica = $generica->retornaDados()):
				$quimicaID=$resgenerica->qui_id;
		    endwhile;
            $nome11=post('nome11');
            $nome12=post('nome12');
            $nome13=post('nome13');
            $nome14=post('nome14');
            $nome15=post('nome15');
            $nome16=post('nome16');
            $nome17=post('nome17');
            $nome18=post('nome18');
            $nome19=post('nome19');
            $nome110=post('nome110');
            $nome111=post('nome111');
            $nome112=post('nome112');
            $nome113=post('nome113');
            $grupo=post('grupo');

            if($quimicaID==0):  
			    $sql="insert into quimica(qui_amostra_id,qui_pms,";
				$sql.=" qui_n_ponto,";
				$sql.=" qui_k_ponto,";
				$sql.=" qui_p_ponto,";
				$sql.=" qui_ca_ponto,";
				$sql.=" qui_mg_ponto,";
				$sql.=" qui_s_ponto,";
				$sql.=" qui_b_ponto,";
				$sql.=" qui_cu_ponto,";
				$sql.=" qui_fe_ponto,";
				$sql.=" qui_mn_ponto,";
				$sql.=" qui_zn_ponto,";
				$sql.=" qui_na_ponto,";
				$sql.=" qui_mo_ponto,";
				$sql.=" qui_grupo)";
				$sql.="values('$amostraLong','$PMS',";
				$sql.=" '$nome11',";
				$sql.=" '$nome12',";
				$sql.=" '$nome13',";
				$sql.=" '$nome14',";
				$sql.=" '$nome15',";
				$sql.=" '$nome16',";
				$sql.=" '$nome17',";
				$sql.=" '$nome18',";
				$sql.=" '$nome19',";
				$sql.=" '$nome110',";
				$sql.=" '$nome111',";
				$sql.=" '$nome112',";
				$sql.=" '$nome113',";
				$sql.=" '$grupo')";//echo $sql;
				$userNota = new generica();
		        $userNota->campos_valores = $sql;				 
		        $userNota->inserirEspecial($userNota);
			    $idNota=$userNota->linhasafetadas;
		    	printMSG('Ok. Salvou inclusão!','alerta');
            else: 
				$sql="update quimica set ";
				$sql.=" qui_n_ponto=  '$nome11', ";
				$sql.=" qui_k_ponto=  '$nome12', ";
				$sql.=" qui_p_ponto=  '$nome13', ";
				$sql.=" qui_ca_ponto=  '$nome14', ";
				$sql.=" qui_mg_ponto=  '$nome15', ";
				$sql.=" qui_s_ponto=  '$nome16', ";
				$sql.=" qui_b_ponto=  '$nome17', ";
				$sql.=" qui_cu_ponto=  '$nome18', ";
				$sql.=" qui_fe_ponto=  '$nome19', ";
				$sql.=" qui_mn_ponto=  '$nome110', ";
				$sql.=" qui_zn_ponto=  '$nome111', ";
				$sql.=" qui_na_ponto=  '$nome112', ";
				$sql.=" qui_mo_ponto=  '$nome113', ";
				$sql.=" qui_grupo=  '$grupo' ";
                $sql.=" where qui_id=".$quimicaID;
                //echo $sql;
		        $userNota = new generica();
		        $userNota->campos_valores = $sql;				 
		        $userNota->inserirEspecial($userNota);
			    $idNota=$userNota->linhasafetadas;
			    printMSG('Ok. Salvou edição!','alerta');
            endif;//testa se tem o registro     
		
		endif;//testa isse novo registro
		

		//captura dados da amostra caso existam
	    //////se enconta o registro ja vai capturar os dados da quimica////////////////
	    //ENTRA DE QUAKQUER MANEIRA
        $matriz=$objetocalculo->leMatrizQuimica($amostraLong);
        //calcula as medias do grupo
		$matrizMedia=$objetocalculo->matrizQuimicaComparacao;




	?>
	                 
    <form class="userform" method="POST" action="">
	<input type="hidden" name="reanLong" value=<?php echo $reanLong ?> size=5 />
	</td>


	                 <table border="1" cellspacing="1" align="center" width="600">
	                 <td><table>


					 <thead>
	                        <tr>
	                            <th>-</th>
	                            <th>N-Nitr.  </th>
	                            <th>K-Pota.  </th>
	                            <th>P-Fosf.  </th>
	                            <th>Ca-Cálcio</th>
	                            <th>Mg-Magné </th>
	                            <th>S-Enxofre </th>
	                            <th>B-Boro </th>
	                            <th>Cu-Cobre </th>
	                            <th>Fe-Ferro</th>
	                            <th>Mn-Manga</th>
	                            <th>Zn-Zinco</th>
	                            <th>Na-Sódio</th>
	                            <th>Mo-Molib</th>
	                        </tr>
	                    </thead>
						
	                    <tbody>

	                    <tr>
	                        <td>Análise</td>
	                        <td><input type="text" name="nome11" maxlength="7" value="<?php echo $matriz[1][1]?>" size="4" /></td>
	                        <td><input type="text" name="nome12" maxlength="7" value="<?php echo $matriz[1][2]?>" size="4" /></td>
	                        <td><input type="text" name="nome13" maxlength="7" value="<?php echo $matriz[1][3]?>" size="4" /></td>
	                        <td><input type="text" name="nome14" maxlength="7" value="<?php echo $matriz[1][4]?>" size="4" /></td>
	                        <td><input type="text" name="nome15" maxlength="7" value="<?php echo $matriz[1][5]?>" size="4" /></td>
	                        <td><input type="text" name="nome16" maxlength="7" value="<?php echo $matriz[1][6]?>" size="4" /></td>
	                        <td><input type="text" name="nome17" maxlength="7" value="<?php echo $matriz[1][7]?>" size="4" /></td>
	                        <td><input type="text" name="nome18" maxlength="7" value="<?php echo $matriz[1][8]?>" size="4" /></td>
	                        <td><input type="text" name="nome19" maxlength="7" value="<?php echo $matriz[1][9]?>" size="4" /></td>
	                        <td><input type="text" name="nome110" maxlength="7" value="<?php echo $matriz[1][10]?>" size="4" /></td>
	                        <td><input type="text" name="nome111" maxlength="7" value="<?php echo $matriz[1][11]?>" size="4" /></td>
	                        <td><input type="text" name="nome112" maxlength="7" value="<?php echo $matriz[1][12]?>" size="4" /></td>
	                        <td><input type="text" name="nome113" maxlength="7" value="<?php echo $matriz[1][13]?>" size="4" /></td>

	                    </tr>

	                    <tr>
	                       
                            <?php
							for($i=1;$i<=5;$i++):
                               ?> 
							   <tr> 
	                           <td bgcolor="#7e7b84" align="center"><?php echo $matrizQuimica[0][$i]?></td>
                               <?php
							   for($j=1;$j<=13;$j++):
					               //alternar a cor
								   if($j % 2 == 0): 
								      $cor="#747c8b";
								   else:
								   	  $cor="silver";
	                               endif
							      ?> 
	                              <td bgcolor="<?php echo $cor;?>" align="center"><?php echo $matrizQuimica[$j][$i]?></td>
                                  <?php
							   endfor;
							   echo"</tr>";
							endfor;
                            ?>
	                    </tr>





		</table></td>
	
	
	<!--repeticao de 9 a 16-->
	
	
	

                    <table align="left">
					<tr>
				    <td><label3>Amostra:</label3></td>
					<td> <b> <input type="text" size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" /></b></td>
				    <td><input type="submit" name="acharDigitada" value="<--Achar" />
					<input type="submit" name="acharRecua" value="<" />
					<input type="submit" name="acharAvanca" value=">" />
					<input type="submit" name="acharUltima" value=">|" />
					</td>
					</tr>

					<tr>
	                <td><input type="submit" name="bt_salvar"   value="Salvar dados digitados" /></td>
					<td><input type="submit" name="bt_imprimirQUI" value="Gráfico" /></td>
	               	<input type="submit" name="manual" value="Ajuda" />
					</form> 

					</tr>
                    </table>
					
					
       <?php 		 
    break;






	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>